
const { ccclass, property } = cc._decorator;
/**
 * 用户隐私协议政策
 * @author 薛鸿潇
 */
@ccclass
export default class agreementTip extends cc.Component {

    // @property({ displayName: '同意按钮', type: cc.Button })
    // private btnAgree: cc.Button = null;
    // onLoad () {}

    start() {

    }

    /**
     * 点击协议按钮
     * @param data 协议类型
     */
    async clickRule(data) {
        gData.setting.rule_type = parseInt(data);
    }

    /**
     * 关闭面板
     */
    private clickClose() {
        mk.ui.closePanel(this.node.name);
    }
    // update (dt) {}
}
